import { defHttp } from '@/utils/http/axios';

enum Api {
  // 添加云查询任务
  AddDroneTask = '/api/DroneCloudQuery/AddDroneTask',
  // 根据云查询ID获取查询结果
  LoadCloudQueryById = '/api/DroneCloudQuery/LoadCloudQueryById'
}

export function AddDroneTask(params: { geomid: string }) {
  return defHttp.post({
    url: Api.AddDroneTask,
    params,
  });
}
export function LoadCloudQueryById(params: { id: string }) {
  return defHttp.get({
    url: Api.LoadCloudQueryById,
    params,
  });
}